For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Transactions by Invoice ID
      • GETGet Transaction Fees
      • GETGet Invoices
      • POSTSearch Transactions
LogoLogo
API ReferenceBilling

Get Transactions by Invoice ID

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/invoices/:invoiceId/transactions
GET
/2026-01/invoices/:invoiceId/transactions
$curl -G https://sandbox-api.shipbob.com/2026-01/invoices/12345/transactions \
> -H "Authorization: Bearer <token>" \
> --data-urlencode Cursor=f8cUk/xJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0+BVMffFoIfoqzOkEsAw \
> -d PageSize=100 \
> -d SortOrder=Ascending
1{
2 "first": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjre",
3 "items": [
4 {
5 "additional_details": {
6 "comment": "TestInvoice"
7 },
8 "amount": 0.09,
9 "charge_date": "2025-01-01",
10 "currency_code": "USD",
11 "fulfillment_center": "Altona VIC",
12 "invoice_date": "2025-01-01",
13 "invoice_id": 12345,
14 "invoice_type": "Shipping",
15 "invoiced_status": true,
16 "reference_id": "12345",
17 "reference_type": "Shipment",
18 "taxes": [
19 {
20 "tax_amount": 0.01,
21 "tax_rate": 10,
22 "tax_type": "GST"
23 }
24 ],
25 "transaction_fee": "Shipping",
26 "transaction_id": "01AN4Z07BY79KA1307SR9X4MV3",
27 "transaction_type": "Charge"
28 }
29 ],
30 "last": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjqt",
31 "next": "f8cUk/xjhyEYp2L8oHqxL2hFiGz3qjqt",
32 "prev": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjcc"
33}
The unique identifier of the invoice whose transactions are to be retrieved
Was this page helpful?
Previous

Convert Variant to Bundle

Next

Get Transaction Fees

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

invoiceIdintegerRequired
The unique identifier of the invoice whose transactions are to be retrieved.

Query parameters

CursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

PageSizeintegerOptionalDefaults to 100

Number of transactions to return per page (default is 100, to be entered when API is called for first time). Must be between 1 and 1000.

SortOrderenumOptionalDefaults to Descending

Sort order of the results. Valid values: Ascending or Descending (default: Descending).

Allowed values:

Response

Success
firststring
Go to the first page
itemslist of objects
laststring
Go to the Last page
nextstring
Go to the Next page
prevstring
Go to the Previous page

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error